## pppoe-dialer 0.1-2

=== Makefile ===
#Makefile for building hildon control panel library 
#to load pppoe-dialer python script
#taken from Tom Swindell's media-im-updater-0.2 source package

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DMAEMO_CHANGES -DMAEMO_GTK -DOSSO_PLUGIN_EXEC_LOADER_DEBUG
CFLAGS        = -pipe -g -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -fPIC $(DEFINES)
INCPATH       = -I../../NokiaQtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-1014-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -I/usr/include/hildon-1 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)   -lglib-2.0 -lgobject-2.0 -lgdk-x11-2.0 -lgtk-x11-2.0 -losso 
AR            = ar cqs
RANLIB        = 
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/osso-plugin-exec-loader.c 
OBJECTS       = build/osso-plugin-exec-loader.o
DESTDIR       = build/
TARGET        = pppoe-dialer.so
TARGETD       = pppoe-dialer.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  build/$(TARGET)

build/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	$(MKDIR) build/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) build/

clean:
	$(DEL_FILE) $(OBJECTS)
	$(DEL_FILE) *~ core *.core
	$(DEL_FILE) build/$(TARGET)


####### Compile

build/osso-plugin-exec-loader.o: src/osso-plugin-exec-loader.c 
	$(MKDIR) build
	$(CC) -c $(CFLAGS) $(INCPATH) -o build/osso-plugin-exec-loader.o src/osso-plugin-exec-loader.c

####### Install

install_target: first FORCE
	$(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/
	$(INSTALL_PROGRAM) build/$(TARGET) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/$(TARGET)
	$(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/ 
	$(INSTALL_FILE) pppoe-dialer.desktop $(INSTALL_ROOT)/usr/share/applications/hildon-control-panel/pppoe-dialer.desktop
	$(MKDIR) $(INSTALL_ROOT)/usr/share/pixmaps/
	$(INSTALL_FILE) pppoe-dialer.png $(INSTALL_ROOT)/usr/share/pixmaps/pppoe-dialer.png
	$(MKDIR) $(INSTALL_ROOT)/opt/pppoe-dialer/
	$(INSTALL_FILE) pppoe-dialer-status.png $(INSTALL_ROOT)/opt/pppoe-dialer/pppoe-dialer-status.png
	$(INSTALL_FILE) pppoe-dialling-status.png $(INSTALL_ROOT)/opt/pppoe-dialer/pppoe-dialling-status.png
	$(INSTALL_PROGRAM) src/pppoemgrui.py $(INSTALL_ROOT)/opt/pppoe-dialer/pppoemgrui.py
	$(INSTALL_PROGRAM) src/about.py $(INSTALL_ROOT)/opt/pppoe-dialer/about.py
	$(INSTALL_PROGRAM) src/pppoe-dialer $(INSTALL_ROOT)/opt/pppoe-dialer/pppoe-dialer
	$(INSTALL_PROGRAM) src/pppoe-dialer-functions $(INSTALL_ROOT)/opt/pppoe-dialer/pppoe-dialer-functions
	$(MKDIR) $(INSTALL_ROOT)/usr/lib/hildon-desktop/
	$(INSTALL_PROGRAM) src/pppoe-dialer-applet.py $(INSTALL_ROOT)/usr/lib/hildon-desktop/pppoe-dialer-applet.py
	$(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon-status-menu/
	$(INSTALL_PROGRAM) pppoe-dialer-applet.desktop $(INSTALL_ROOT)/usr/share/applications/hildon-status-menu/pppoe-dialer-applet.desktop
	$(MKDIR) $(INSTALL_ROOT)/etc/ppp/
	$(INSTALL_FILE) pppoe.conf.template $(INSTALL_ROOT)/etc/ppp/pppoe.conf.template
	$(MKDIR) $(INSTALL_ROOT)/etc/sudoers.d/
	$(INSTALL_FILE) pppoe-dialer.sudoers $(INSTALL_ROOT)/etc/sudoers.d/pppoe-dialer.sudoers

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/hildon-control-panel/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/hildon-control-panel/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

## pppoe-dialer 0.1-1

=== debian/changelog ===
pppoe-dialer (0.1-1) unstable; urgency=low

  * Initial release for Nokia N900 (Maemo 5)

 -- George James <itcl.george@gmail.com>  Wed, 10 Nov 2010 07:34:06 -0500

=== debian/control ===
Source: pppoe-dialer
Section: admin
Priority: extra
Maintainer: George James <gjames@mail>
Build-Depends: debhelper (>= 5), gcc (>= 4.2.1), g++ (>= 4.2.1), libglib2.0-dev, libgtk2.0-dev, libosso-dev, hildon-control-panel-dev
Standards-Version: 3.7.2

Package: pppoe-dialer
Section: user/network
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.20.0), libgtk2.0-0 (>= 2:2.12.9-0osso1), libosso1 (>= 2.23), libstdc++6 (>= 4.2.1), python2.5-gtk2, python2.5-hildon, python2.5-osso, rp-pppoe
Description: PPPoE Dialer for Maemo 5 (Nokia N900) lets you create and manage PPPoE dial-up connections.  Operates as a front-end for rp-pppoe.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sBHgwVB5lAxYMAAArjSURBVGje7ZlrjF3Vdcd/a+9z7rl3nsaMbcZj
 bEPiEEzjBoIpJRSQSJBNiGkbhRJcpSVSqdqmcZErJX1IKOqHRqUubaCNFKGq
 EiVENG2apI1pQ2REg2swxMS4xtQ4QyZ2J/Zge8bzuuex1+qHc+Z6bM+Mx65V
 8sFbujozV+ee8/+v9V+vveHiemeX/LQAMbOrVHW5c262W4ZE5NWfOgJHDh/i
 lR0vX/Wd55771g/7+/tnuqfZbMZbt27tBx6dicQ7aXW2b9v27he++9093V1d
 hwEFbIaPrl+/fpuZfej0Z0QXAkjn5Xevci7ZID65RVyyxvlkOS5x4hPE1VR8
 MuBcbbdrjP1nY+lLB5Keg4OuHu0VkWMDBw786e9t2tSjqosA4RGgeabUk1VJ
 PtO7z5vA6r476E+LzSLJg2B9hiGVwRTDYUhpUCdmKw1WuvjwBpccIGQ1RKyo
 fWzJmiSpjY2Oji5pPfjBWV54B/CxM7925wI6WbAagMbC6zb3N8eLhWuG/nz5
 3Qf7NHNghllJYIqIGeVVDMzQvAPNcjQLaBb8isWL9n6/f/+NyPmH4jl5QDVd
 lCxYvdOwFb4xRD5+gvFDCY3eYfLhS1u6FmtJt6ViEUObK8lPXEncfZDggmhQ
 hsYG3othrYQys4Rg1f+RQNR2+XpRvo1gWkyQHz2AaYN8tKC+aB9h8lo0TRCs
 RcKMKRkBKdCO6XE0DYgIwQdMT8uGs0noF2eW0LwIuGTRrwn6d4aZoCIuRugl
 PxFRTBwnH2/iiBDRCrRhKG7K/AbBPYPnHlQPEvJ2cKBeMbVTX3aBPRADj1kx
 /oC5GMHEzHDOE7f1Ij6hmEwYP/gGnX1JaUdRBEMMysCOUD2M5nuR2tcgdaVX
 Kg9wOoFzDOKzEfgL4AELE2hRw7sE0FIilXVdrRuXLQYCZo4qXskn3iSqX0Y+
 8R1MDuDrdYJ7AzJPcAE8aDGDB2ZbbefngU+3AjgfxhghqseILMXoATN83EHU
 cz2mivgSvYjQHN5NW08H6eg+okYCLiAOEAEJiID6gIWZ+4Glvb309fZyaHCQ
 /xkcnF3ec4D/8pl9hwDtYB0l+PoxkJwSRal1MNQC7YvXEbe9C00zNC2wLBBS
 xTKP5oJmWv6vVaY6bS1ftoybb7yR5cuWnVca7QJ+44zSj4BFpUYMXO0EvvsE
 2dtrEKcgxlRBE1fDTAkpSKTgCiRaCFxN7G6jyP6M4PysEtqxcyc7du487zrw
 91Xuk9MpIMPgI8R3INEkLvK42jgWuqv8r2CKOGF88Fk0QGimtC+5H1/rpMhe
 ZfLEo7ikjIV6VKfekZSeuECFbCHw0dl7b8FFw/jGGBAjAq42iU52ldavDCrO
 0xz5L1BoXLqeuHEFLlrA2OEvEre3gTSIasq2HRn3/epnGGtGdCxegNlxxEWI
 CHjFmqu10/f/x50f2ZDOl8ADZxsfSqkLIsbk0HIoFuC8nfQAhpkiVa5qLLyu
 lJ1O0rHkQXzUTtb8dzT/b7738lO8/uYHaF+7ifiypbiBF5GOf8XFDUTeQxi5
 3/3KR7q+vOHW7reAH8yHwM0zy6fM6yZWBTNoERG1jVCMXFL9oDK/lTKKGkuI
 21dWAV5W6LjehcQp9fqHycZ7OPL2Do6OvUZ3OIzb+3GK7BoknkA6/xInAUZT
 dr0x2Hv3bQu+Mt8sdN1sg44AYlKB8ZjG5KMLK4BaEqxaCLOczsvvpq3nhvJ+
 BMiQjsfw3U9SW/I16p33gC6mGEv58EP3svGrP0cxkULxC+jkDZj9GMMjwi3n
 EgO9cw4hgFqCnujD+QTxMebL6su0AldKJlCENxH3EyQ2SN5Ainak8LioIL7k
 63TIF2hOfIPtj/az+GcCPukCUlz+mwT3B0Rlel5zPnVgRvSCYXlHlTK1CtyT
 rXTrCpgV5JOvUuSvo7ofDQkWDAtl/pdkD9Gix1lz7wdpu/Jf6H/hR4ib6mS7
 iPKvgKSYsPwCEBAQB2KgNapmv5KHTQvvqZlAmDj6dUJ2BCsUCwbBWgS0ACsE
 c3u5+dPr+PlPfo6QVZ5r9VIT1ZNmxznPdtrh405wMVYEcLQkU2adcg6bPgfk
 k4OEyaP4thoaHK4wNCgSHK4i0bFkBUU+ytOf2UCtq4bz92NFK12UBfGsyGaY
 W86wvfOoTfX1bScnrilrT/dGVaU1HymDORimhqphhWGqFGlGkabc+6V/ZN0f
 P0ZzZIT0xEiVCLQlw5aXZ8DU8kB5MwlwC9C866673s6ybPGpDDxIjLgY52Jw
 Mc7VwEWIixGJEVcr/3YRuBpFcwn5eBu+FvHirpcYOzGMW9hJ39XX8sHffZB/
 2vRJvvWHv82xH72O8zGae+Il/0D61ucRmb4hAQYDc0koAZ5+6sknR1/dtatn
 QVeXz7J8Ws6p6q+4qpP0FakckQDkIA4Rh5kQgqI5WD5JMMelXQv50uNPsOv6
 q3jyl3+JuK2DvmvfT8+7VnPw5R34RkTU8GVQ21gr3EontOJp91wErn/6qa+m
 Wx5+eKNzju6urumumzOdSjV7hSKQFRlZlpNlOXmekuU5R94+RnNygsn3/yzv
 uWIlXZfdwMD2ffzVdb9P3LkP36iXGSk4NBhYN4biu7+Pjn0AIZ5qTZ6fM4hf
 e213r/ceVaW7s7PS4NwrhECeF2R5hqqiQdEQ0FCUXlBjdGwUgKPP7GLf7m6O
 7FlKHF+B+A407MPCUBkfhSGFYq6s8VHnHrLxazA6y+IpfHPuLCTM2JOfuSuh
 hCKQ5mlp7XzK6ln5yXPyPCeocuoep+FiAdGqW01x9glCeBhXeCxWTF2VFBTT
 uDVfGHZo/zdW75+bgJ1JwqrJyswIIZDlOVmWkuXFScAV6CzLCKqt38hM+zx2
 8rlMbXqFsj5YYWWt8FVe07hKowpmj8yznbZT3qaq5EUFNp8CnLf+TrOcogjY
 1L7IbMCnNYLTWAA1RG9Hw/O4kGDqUO0BCnRyGWIRYGH08mu2zJOAYKbkeU4z
 TacBz08BPyWR+YA+g4JVxa6KTMdtENpRfRYpasjkPThXkB+9AYlqOGefPfw3
 cvaBJqgy0WzSTJu0jzRops0K8El9h1D1PecE+pSt6DIhSyU1AwiIrsBCCs0P
 gZVblLhgYjZw4Ntrt8xrIpuYmGB4eJg0zWirJTSbKWmeURRFqVmprH2exwnl
 HFHOCWaGM5u2CbAAyT+B+feW5DCrwn3tleu288Nnbjo7gePDI6y7/XYef+IJ
 GvWEoijOQyJnaQWNaZW1CmQxoI5wLVit2uM1wfTOt/7t5qH5dWnAseHjfOq+
 +05+6RzOuRaB8/mceVSkZbKbCvppfVO5QWpW9UG//tazd2w9p6H+tltvHbpp
 /XoABg4duuAnMR1tUWvPyCrwU9vwVSs+dblzYNtHt57LsyPgpc2bNwfgn195
 5ZVFc8pAxI4fH3lfoaHbRdV44AXNY1BPtfXWuoo4kppn0+aH2Phbf41ZdEon
 K9UEZ6YDorb2x9/7+NC5S7NsG2Jg7XzOtEQk/9wfPbT+xT0vfL7WFptvOEmP
 XIJpHXE1kAjna62OVVzMD/YOkhUO8Un5nU/AJTiXBImSzw6++Dtb+m76Ww5t
 /9T/5zHrqlrnu4/9SRjr2hiaHX1uCpRPKqAJ+Fp1rbeAl214csj55JGrB1ds
 ee4nG9/5c+JkwftWiUs2OJ/cIq62RnyyXFzinK8hPlFxyQA+2e188rxzyTeH
 9nxh/8Uj+ovr4rq4APhf70kcd5kg3JgAAAAASUVORK5CYII=

## pppoe-dialer 0.1-2

=== debian/changelog ===
pppoe-dialer (0.1-2) unstable; urgency=low

  * Added dependency on Enhanced Kernel.

 -- George James <itcl.george@gmail.com>  Wed, 10 Nov 2010 07:34:06 -0500

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Section: user/network
 Priority: extra
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.20.0), libgtk2.0-0 (>= 2:2.12.9-0osso1), libosso1 (>= 2.23), libstdc++6 (>= 4.2.1), python2.5-gtk2, python2.5-hildon, python2.5-osso, rp-pppoe
-Description: PPPoE Dialer for Maemo 5 (Nokia N900) lets you create and manage PPPoE dial-up connections.  Operates as a front-end for rp-pppoe.
+Depends: ${shlibs:Depends}, ${misc:Depends}, libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libglib2.0-0 (>= 2.20.0), libgtk2.0-0 (>= 2:2.12.9-0osso1), libosso1 (>= 2.23), libstdc++6 (>= 4.2.1), python2.5-gtk2, python2.5-hildon, python2.5-osso, rp-pppoe, kernel-feature-ppp
+Description: PPPoE Dialer for Maemo 5 (Nokia N900) lets you create and manage PPPoE dial-up connections.  Operates as a front-end for rp-pppoe.  Requires a compatible kernel, e.g kernel-power (>=46)
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## pppoe-dialer 0.1-3

=== debian/changelog ===
pppoe-dialer (0.1-3) unstable; urgency=low

  * Clean-up during uninstall.

 -- George James <itcl.george@gmail.com>  Wed, 10 Nov 2010 07:34:06 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/pppoe-dialer.sgml > pppoemgr.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/pppoe-dialer.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/pppoe-dialer install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_pysupport /usr/lib/hildon-desktop /usr/libexec
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
